LayoutService
Set Layout Template Subscription
Set a layout template subscription to a pinned version or latest.
Method
PUT
Path
/v1/layouts/templates/{owner_id}/{template_id}/subscription
Visibility
Authentication
Session token or API key
MFA Requirement
Not required
PUT
/v1/layouts/templates/{owner_id}/{template_id}/subscription Request
Testnet
curl --request PUT \ \
--url 'https://api.testnet.polyester.com/v1/layouts/templates/1/1/subscription' \
--header 'Accept: */*' \
--header 'X-API-KEY-ID: YOUR_API_KEY_ID' \
--header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \
--header 'X-API-SIGNATURE: YOUR_API_SIGNATURE' \
--header 'Content-Type: application/json' \
--data '{
"pinnedVersion": 1,
"trackLatest": false
}'Responses
{} owner_id string (int64)
Viewer that owns the template.
template_id string (int64)
Template identifier to follow.
pinnedVersion integer
Version to follow when track_latest is false.
trackLatest boolean
True to follow the latest version automatically.
| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |